%global __requires_exclude ^perl\\(Importer\\)$

Summary:        Format a header and rows into a table
Name:           perl-Term-Table
Version:        0.016
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Term-Table
Source0:        https://cpan.metacpan.org/authors/id/E/EX/EXODIST/Term-Table-%{version}.tar.gz
Patch3000:      Term-Table-0.016-Use-system-Object-HashBase.patch

BuildRequires:  make perl-generators perl-interpreter perl(:VERSION)
BuildRequires:  perl(strict) perl(warnings) perl(Carp) perl(Config)
BuildRequires:  perl(List::Util) perl(Scalar::Util)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Importer) >= 0.024
BuildRequires:  perl(Object::HashBase) >= 0.008
# Tests:
BuildRequires:  perl(base) perl(Test2::API) perl(Test::More) perl(utf8)
BuildRequires:  perl(Test2::Tools::Tiny) >= 1.302097
Requires:       perl(:MODULE_COMPAT_%{perl_version})
Requires:       perl(Importer) >= 0.024
BuildArch:      noarch

%description
This is used by some failing tests to provide diagnostics about what has gone 
wrong. This module is able to generic format rows of data into tables.

%prep
%autosetup -n Term-Table-%{version} -p1
for F in lib/Term/Table/HashBase.pm t/HashBase.t; do
    perl -e 'unlink $ARGV[0] or die $!' "$F"
    perl -i -s -ne 'print $_ unless m{\A\Q$file\E\b}' -- -file="$F" MANIFEST
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.016-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.016-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Oct 31 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.016-1
- Initial build
